// IR sensor calibration

void SensorCalibration() {
  int counter, i;
  for (counter=0; counter<62; counter++)
  {
    if (counter < 16 || counter >= 40) {
      motor_speed2(motor_A,12);
      motor_speed2(motor_B,-12);
    }
    else  {
      motor_speed2(motor_A,-12);
      motor_speed2(motor_B,12);
    }
    qtrrc.calibrate();      
    // Since our counter runs to 80, the total delay will be
    // 80*20 = 1600 ms.
    delay(20);
  }

   // print the calibration minimum values measured when emitters were on

  for (i = 0; i < NUM_SENSORS; i++)
  {
    Serial.print(qtrrc.calibratedMinimumOn[i]);
    Serial.print(' ');
  }
  Serial.println();

  // print the calibration maximum values measured when emitters were on
  for (i = 0; i < NUM_SENSORS; i++)
  {
    Serial.print(qtrrc.calibratedMaximumOn[i]);
    Serial.print(' ');
  }
  Serial.println();
  Serial.println();
  stopMotors();
  delay(2000);
}


