// microbo(t) - line follower
// http://robottini.altervista.org


#include <PololuQTRSensors.h>


//#define USB  //print on serial monitor only if USB is defined - scrivi sul serial monitor solo se USB è definito

// motor driver pin
#define out_STBY 6
#define out_B_PWM 9
#define out_A_PWM 3
#define out_A_IN2 4
#define out_A_IN1 5
#define out_B_IN1 7
#define out_B_IN2 8
#define motor_A 0
#define motor_B 1
#define motor_AB 2

#define NUM_SENSORS   8     // number of sensors used - numero di sensori usati
#define TIMEOUT       2500  // waits for 2500 us for sensor outputs to go low - aspetta 2500 us prima di mandare low i sensori
int maximumSpeed = 50; // the maximum speed // 0 - 100
int minimumSpeed = 40; 
int actualSpeed=0;
int maximum=0;
int posizione=0;


//-- define pin12 - 5V for IR Sharp sensor
#define Sharp5V 2
#define IRSharp A5
int distanza=0;

//define QTR pololu sensor
PololuQTRSensorsRC qtrrc((unsigned char[]) {10, 11, 12, 18, 17, 16, 15, 14} , NUM_SENSORS, TIMEOUT, 255); 
unsigned int sensors[NUM_SENSORS];
int last_proportional = 0;
int primo=0;
long int tempo=0;


void setup()
{
  Serial.begin(115200);
  // define motor drive output pin - definisci i pin di output del motore
  pinMode(out_STBY,OUTPUT);
  pinMode(out_A_PWM,OUTPUT);
  pinMode(out_A_IN1,OUTPUT);
  pinMode(out_A_IN2,OUTPUT);
  pinMode(out_B_PWM,OUTPUT);
  pinMode(out_B_IN1,OUTPUT);
  pinMode(out_B_IN2,OUTPUT);
  
  motor_standby(false);// motor stand-by off and stop - togli i motori dallo stand-by e fermali
  stopMotors();
  delay(2000);
  
  // -- Sharp IR sensor 5V
//  pinMode(Sharp5V,OUTPUT);
//  digitalWrite(Sharp5V,HIGH);
//  pinMode(IRSharp, INPUT);

  
  
  SensorCalibration(); // sensor calibration - calibra i sensori
  delay(2000);
} 


void loop()
{  tempo=millis();
   verPercorso(); // follow the black line - segui la linea nera 
   //leggiIR(); //read IR sensor for obstacle detection
   Serial.print("  Tempo:"); // -- verify time cycle
   Serial.print(millis()-tempo);
   Serial.print("  ");
 }




